<?php

namespace App\Services;

use App\Repositories\PendingUserRepository;

class PendingUserService
{
    protected PendingUserRepository $pendingUserRepository;

    public function __construct() {
        $this->pendingUserRepository = new PendingUserRepository();
    }

    public function findByEmail($email) {
        return $this->pendingUserRepository->findByEmail($email);
    }

    public function findByToken($token) {
        return $this->pendingUserRepository->findByToken($token);
    }
}